@echo off
cd /d %~dp0

set buildargs=-Wall -Werror -m32 -shared -Isrc -static -lpsapi -lshlwapi -static-libgcc -static-libstdc++

echo on
g++ src/RedBlocklandLoader.cpp %buildargs% -o RedBlocklandLoader.dll
@echo off

rem objdump -d RedBlocklandLoader.dll > RedBlocklandLoader.dll.dump.txt

pause
